When creating a host, it should be possible to define a Puppet CA and a Puppet Master to use
Status: Closed   
Assignee: Ohad Levy   
Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

Hi,

We have a single puppetmaster acting as the certificate master (don't ask).  Right now Foreman will try to autosign.conf whichever

puppetmaster is set as the current proxy - even if it lacks the CA role.

I would like Foreman at the minimum to refuse to set build status on a machine pointing at a Puppetmaster without CA.

Better would be if Foreman could set cert master and puppetmaster seperately and do the right thing based on that.

Related issues:

Has duplicate Foreman - Bug #1439: Foreman can only use Puppetmaster's via sm... Duplicate 01/09/2012

Associated revisions

Revision ace6fbad - 03/14/2012 05:46 AM - Ohad Levy

fixes #1503 - When creating a host, it should be possible to define a Puppet CA and a Puppet Master to use

Revision de2ea8a9 - 03/14/2012 06:47 AM - Ohad Levy

refs #1503 better handling of migrating to puppet proxies

Revision 86bdf09d - 05/08/2012 03:26 PM - Ohad Levy

refs #1503, ensures that puppet proxy is not required if you are not provisioning

History

#1 - 03/13/2012 05:43 AM - Ohad Levy

- Category set to Puppet integration

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 03/14/2012 05:05 AM - Ohad Levy

- Tracker changed from Bug to Feature

- Subject changed from Puppet tries to write to autosign on the Puppetmaster you set regardless of proxy roles. to When creating a host, it should be

possible to define a Puppet CA and a Puppet Master to use

#3 - 03/14/2012 05:49 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset ace6fbadcda81080648fbc06a8f3d2ec552bb0bf.
